# IBM_PROLOG_BEGIN_TAG
#
# serviceable.event.provider 1.0.0
#
# Licensed Materials - Property of IBM
#
# Restricted Materials of IBM
#
# COPYRIGHT International Business Machines Corp. 2014,2014
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# IBM_PROLOG_END_TAG
'''
Created on Apr 17, 2014
@author: Chen Shao Jie
'''
import os
import ApplicationConstants
from ApplicationUtils import ApplicationUtils

class ApplicationNotify:

    
    def __init__(self, logEntry):
        self._logEngry = logEntry
        self._notifyInfo = ApplicationUtils().getTrapInfo(logEntry)
    
    def invokeRest(self):
        if ApplicationConstants.ALERT_FLG == 0:
            trapOid = ApplicationConstants.IBM_TRAP_SERVICE_AND_CALLHOME
        else:
            trapOid = ApplicationConstants.IBM_TEST_TRAP_SERVICE
        
        __dest = "localhost"
            
        try:
#                Rest Call for notify, currently its one
#               result = rest call     
            result = 0
            if result == 0:
                ApplicationUtils().activityLog(__dest, True, self._logEngry)
            else:
                raise Exception
        except:
            ApplicationUtils().activityLog(__dest, False, self._logEngry)
            ApplicationUtils().tracelogger().error("ApplicationNotify::rest call failure")
                
        
       

        
