# IBM_PROLOG_BEGIN_TAG
#
# serviceable.event.provider 1.0.0
#
# Licensed Materials - Property of IBM
#
# Restricted Materials of IBM
#
# COPYRIGHT International Business Machines Corp. 2014,2014
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# IBM_PROLOG_END_TAG
'''
Created on Apr 17, 2014
@author: Sowjanya Rao
'''
class LogEntry:
            def __init__(self, date, time, host, elog, lid, src, diag, tm, sn, srn, failure, errorType, action, sgname, state, createTime):

                self._date = date
                self._time = time
                self._host = host
                self._elog = elog
                self._lid = lid
                self._src = src
                self._diag = diag
                self._tm = tm
                self._sn = sn
                self._srn = srn
                self._failure = failure
                self._errorType = errorType
                self._action = action
                self._sgname = sgname
                self._state = state
                self._createTime = createTime

            def equals(self, logEntry):
                if(self._date == logEntry.date and
                   self._time == logEntry.time and
                   self._host == logEntry.host and
                   self._elog == logEntry.elog and
                   self._lid == logEntry.lid and
                   self._src == logEntry.src and
                   self._diag == logEntry.diag and
                   self._tm == logEntry.tm and
                   self._sn == logEntry.sn and
                   self._srn == logEntry.srn and
                   self._failure == logEntry.failure and
                   self._errorType == logEntry.errorType and
                   self._action == logEntry.action and
                   self._sgname == logEntry.sgname and
                   self._state == logEntry.state and
                   self._createTime == logEntry.createTime):
                        return True

            @property
            def date(self):
                return self._date

            @date.setter
            def date(self, date):
                self._date = date

            @property
            def time(self):
                return self._time

            @time.setter
            def time(self, time):
                self._time = time

            @property
            def host(self):
                return self._host

            @host.setter
            def host(self, host):
                self._host = host

            @property
            def elog(self):
                return self._elog

            @elog.setter
            def elog(self, elog):
                self._elog = elog

            @property
            def lid(self):
                return self._lid

            @lid.setter
            def lid(self, lid):
                self._lid = lid

            @property
            def src(self):
                return self._src

            @src.setter
            def src(self, src):
                self._src = src

            @property
            def diag(self):
                return self._diag

            @diag.setter
            def diag(self, diag):
                self._diag = diag

            @property
            def tm(self):
                return self._tm

            @tm.setter
            def tm(self, tm):
                self._tm = tm

            @property
            def sn(self):
                return self._sn

            @sn.setter
            def sn(self, sn):
                self._sn = sn

            @property
            def srn(self):
                return self._srn

            @srn.setter
            def srn(self, srn):
                self._srn = srn

            @property
            def failure(self):
                return self._failure

            @failure.setter
            def failure(self, failure):
                self._failure = failure

            @property
            def errorType(self):
                return self._errorType

            @errorType.setter
            def errorType(self, errorType):
                self._errorType = errorType

            @property
            def action(self):
                return self._action

            @action.setter
            def action(self, action):
                self._action = action

            @property
            def sgname(self):
                return self._sgname

            @sgname.setter
            def sgname(self, sgname):
                self._sgname = sgname

            @property
            def state(self):
                return self._state

            @state.setter
            def state(self, state):
                self._state = state

            @property
            def createTime(self):
                return self._createTime

            @createTime.setter
            def createTime(self, createTime):
                self._createTime = createTime

