# IBM_PROLOG_BEGIN_TAG
#
# serviceable.event.provider 1.0.0
#
# Licensed Materials - Property of IBM
#
# Restricted Materials of IBM
#
# COPYRIGHT International Business Machines Corp. 2014,2014
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# IBM_PROLOG_END_TAG
'''
Created on Apr 17, 2014
@author: Chen Shao Jie
'''
class NotificationEntry:
    
    def __init__(self, _trapDateTime, _VMID, _trapAppID, _agentName, _agentType, _agentHostIP,
                 _agentHostName, _sysType, _sysModel, _sysSerialNumber, _sysFirmware, _sysOSVersion,
                 _sysOSName, _sysOSType, _erroOccurTime, _logId, _src, _failure, _actionFlg,
                  _extendedErrorData, _addtionalDetails, _seTestFlg):
        self._seTrapDateTime = _trapDateTime
        self._seVMID = _VMID
        self._seTrapAppID = _trapAppID
        self._seAgentName = _agentName
        self._seAgentType = _agentType
        self._seAgentHostIP = _agentHostIP
        self._seAgentHostName = _agentHostName
        self._seSysType = _sysType
        self._seSysModel = _sysModel
        self._seSysSerialNumber = _sysSerialNumber
        self._seSaOSVersion = _sysOSVersion
        self._seSysOSName = _sysOSName
        self._seSysOSType = _sysOSType
        self._seSysFirmware = _sysFirmware
        self._seErrorOccurTime = _erroOccurTime
        self._seLogId = _logId
        self._seSRC = _src
        self._seFailingSubSys = _failure
        self._seActionFlg = _actionFlg
        self._seExtendedErrorData = _extendedErrorData
        self._seAdditionalDetails = _addtionalDetails
        self._seTestFlg = _seTestFlg

    def get_se_trap_date_time(self):
        return self._seTrapDateTime


    def get_se_vmid(self):
        return self._seVMID


    def get_se_trap_app_id(self):
        return self._seTrapAppID


    def get_se_agent_name(self):
        return self._seAgentName


    def get_se_agent_type(self):
        return self._seAgentType


    def get_se_agent_host_ip(self):
        return self._seAgentHostIP


    def get_se_agent_host_name(self):
        return self._seAgentHostName


    def get_se_sys_type(self):
        return self._seSysType


    def get_se_sys_model(self):
        return self._seSysModel


    def get_se_sys_serial_number(self):
        return self._seSysSerialNumber


    def get_se_sa_osversion(self):
        return self._seSaOSVersion


    def get_se_sys_osname(self):
        return self._seSysOSName


    def get_se_sys_ostype(self):
        return self._seSysOSType


    def get_se_sys_firmware(self):
        return self._seSysFirmware


    def get_se_error_occur_time(self):
        return self._seErrorOccurTime


    def get_se_log_id(self):
        return self._seLogId


    def get_se_src(self):
        return self._seSRC


    def get_se_failing_sub_sys(self):
        return self._seFailingSubSys


    def get_se_action_flg(self):
        return self._seActionFlg


    def get_se_extended_error_data(self):
        return self._seExtendedErrorData


    def get_se_additional_details(self):
        return self._seAdditionalDetails


    def get_se_test_flg(self):
        return self._seTestFlg


    def set_se_trap_date_time(self, value):
        self._seTrapDateTime = value


    def set_se_vmid(self, value):
        self._seVMID = value


    def set_se_trap_app_id(self, value):
        self._seTrapAppID = value


    def set_se_agent_name(self, value):
        self._seAgentName = value


    def set_se_agent_type(self, value):
        self._seAgentType = value


    def set_se_agent_host_ip(self, value):
        self._seAgentHostIP = value


    def set_se_agent_host_name(self, value):
        self._seAgentHostName = value


    def set_se_sys_type(self, value):
        self._seSysType = value


    def set_se_sys_model(self, value):
        self._seSysModel = value


    def set_se_sys_serial_number(self, value):
        self._seSysSerialNumber = value


    def set_se_sa_osversion(self, value):
        self._seSaOSVersion = value


    def set_se_sys_osname(self, value):
        self._seSysOSName = value


    def set_se_sys_ostype(self, value):
        self._seSysOSType = value


    def set_se_sys_firmware(self, value):
        self._seSysFirmware = value


    def set_se_error_occur_time(self, value):
        self._seErrorOccurTime = value


    def set_se_log_id(self, value):
        self._seLogId = value


    def set_se_src(self, value):
        self._seSRC = value


    def set_se_failing_sub_sys(self, value):
        self._seFailingSubSys = value


    def set_se_action_flg(self, value):
        self._seActionFlg = value


    def set_se_extended_error_data(self, value):
        self._seExtendedErrorData = value


    def set_se_additional_details(self, value):
        self._seAdditionalDetails = value


    def set_se_test_flg(self, value):
        self._seTestFlg = value

    seTrapDateTime = property(get_se_trap_date_time, set_se_trap_date_time, None, None)
    seVMID = property(get_se_vmid, set_se_vmid, None, None)
    seTrapAppID = property(get_se_trap_app_id, set_se_trap_app_id, None, None)
    seAgentName = property(get_se_agent_name, set_se_agent_name, None, None)
    seAgentType = property(get_se_agent_type, set_se_agent_type, None, None)
    seAgentHostIP = property(get_se_agent_host_ip, set_se_agent_host_ip, None, None)
    seAgentHostName = property(get_se_agent_host_name, set_se_agent_host_name, None, None)
    seSysType = property(get_se_sys_type, set_se_sys_type, None, None)
    seSysModel = property(get_se_sys_model, set_se_sys_model, None, None)
    seSysSerialNumber = property(get_se_sys_serial_number, set_se_sys_serial_number, None, None)
    seSaOSVersion = property(get_se_sa_osversion, set_se_sa_osversion, None, None)
    seSysOSName = property(get_se_sys_osname, set_se_sys_osname, None, None)
    seSysOSType = property(get_se_sys_ostype, set_se_sys_ostype, None, None)
    seSysFirmware = property(get_se_sys_firmware, set_se_sys_firmware, None, None)
    seErrorOccurTime = property(get_se_error_occur_time, set_se_error_occur_time, None, None)
    seLogId = property(get_se_log_id, set_se_log_id, None, None)
    seSRC = property(get_se_src, set_se_src, None, None)
    seFailingSubSys = property(get_se_failing_sub_sys, set_se_failing_sub_sys, None, None)
    seActionFlg = property(get_se_action_flg, set_se_action_flg, None, None)
    seExtendedErrorData = property(get_se_extended_error_data, set_se_extended_error_data, None, None)
    seAdditionalDetails = property(get_se_additional_details, set_se_additional_details, None, None)
    seTestFlg = property(get_se_test_flg, set_se_test_flg, None, None)
        
