import os
from schedular import ESASchedular
import ApplicationConstants
from time import sleep
import threading
import MonitorErrorLog
from ApplicationUtils import ApplicationUtils
from datetime import datetime
import re
from sendHeartbeat import sendHeartbeatInit

class _startSchedularThread(threading.Thread):
    def __init__(self):
        threading.Thread.__init__(self)

    def run(self):
        # start monitor error log module
        while True:
            sleep(3600)

class testClass():

    def testFunc(self):

        #while True:
            ApplicationUtils().tracelogger().debug("Inside the test Function %s"%(str(datetime.now())))

            #sleep(3600)

    def testFunc3(self):

            ApplicationUtils().tracelogger().debug("Inside the test Function3 %s"%(str(datetime.now())))


def startMonitors():



        try:

            ApplicationUtils().tracelogger().debug("Starting the Problem Provider")

            ESASchedular(MonitorErrorLog.MonitorErrorLog().monitor,
                        **{ApplicationConstants.PROVIDER_KEY:ApplicationConstants.PROBLEM_PROVIDER}).schedule()

            ApplicationUtils().tracelogger().debug("Starting the Heartbeat Provider")
            ESASchedular(sendHeartbeatInit,
                        **{ApplicationConstants.PROVIDER_KEY:ApplicationConstants.PROVIDER_HEARTBEAT}).schedule()
                        

            #This needs to commented out after testing
            #ApplicationUtils().tracelogger().debug("Starting the test class provider")

            #ESASchedular(testClass().testFunc,
                        # **{ApplicationConstants.PROVIDER_KEY:ApplicationConstants.PROVIDER_HEARTBEAT}).schedule()
            #This needs to commented out after testing
            #ApplicationUtils().tracelogger().debug("Starting the test class provider2")

            #ESASchedular(testClass().testFunc,
                        #**{ApplicationConstants.PROVIDER_KEY:"heartbeat1"}).schedule()

        except Exception as e:

            ApplicationUtils().tracelogger().error("Exception in starting the provider %s"%(str(e)))


def _validateSchedulePattern(schedulePattern):

        return re.match(ApplicationConstants.SCHEDULE_PATTERN_REGEX, schedulePattern)


if __name__ == "__main__":

    print(os.getcwd())
    #startMonitors()
    p=_validateSchedulePattern("C")
    print("value of pattern is %s"%(p))




